<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:50 JST 2014 -->
<TITLE>
org.apache.zookeeper.server.quorum
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">


</HEAD>

<BODY BGCOLOR="white">
<FONT size="+1" CLASS="FrameTitleFont">
<A HREF="../../../../../org/apache/zookeeper/server/quorum/package-summary.html" target="classFrame">org.apache.zookeeper.server.quorum</A></FONT>
<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Interfaces</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="Election.html" title="interface in org.apache.zookeeper.server.quorum" target="classFrame"><I>Election</I></A>
<BR>
<A HREF="FollowerMXBean.html" title="interface in org.apache.zookeeper.server.quorum" target="classFrame"><I>FollowerMXBean</I></A>
<BR>
<A HREF="LeaderElectionMXBean.html" title="interface in org.apache.zookeeper.server.quorum" target="classFrame"><I>LeaderElectionMXBean</I></A>
<BR>
<A HREF="LeaderMXBean.html" title="interface in org.apache.zookeeper.server.quorum" target="classFrame"><I>LeaderMXBean</I></A>
<BR>
<A HREF="LocalPeerMXBean.html" title="interface in org.apache.zookeeper.server.quorum" target="classFrame"><I>LocalPeerMXBean</I></A>
<BR>
<A HREF="ObserverMXBean.html" title="interface in org.apache.zookeeper.server.quorum" target="classFrame"><I>ObserverMXBean</I></A>
<BR>
<A HREF="QuorumMXBean.html" title="interface in org.apache.zookeeper.server.quorum" target="classFrame"><I>QuorumMXBean</I></A>
<BR>
<A HREF="QuorumStats.Provider.html" title="interface in org.apache.zookeeper.server.quorum" target="classFrame"><I>QuorumStats.Provider</I></A>
<BR>
<A HREF="RemotePeerMXBean.html" title="interface in org.apache.zookeeper.server.quorum" target="classFrame"><I>RemotePeerMXBean</I></A>
<BR>
<A HREF="ServerMXBean.html" title="interface in org.apache.zookeeper.server.quorum" target="classFrame"><I>ServerMXBean</I></A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Classes</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="AuthFastLeaderElection.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">AuthFastLeaderElection</A>
<BR>
<A HREF="AuthFastLeaderElection.Notification.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">AuthFastLeaderElection.Notification</A>
<BR>
<A HREF="AuthFastLeaderElection.ToSend.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">AuthFastLeaderElection.ToSend</A>
<BR>
<A HREF="CommitProcessor.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">CommitProcessor</A>
<BR>
<A HREF="FastLeaderElection.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">FastLeaderElection</A>
<BR>
<A HREF="FastLeaderElection.Notification.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">FastLeaderElection.Notification</A>
<BR>
<A HREF="FastLeaderElection.ToSend.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">FastLeaderElection.ToSend</A>
<BR>
<A HREF="Follower.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">Follower</A>
<BR>
<A HREF="FollowerBean.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">FollowerBean</A>
<BR>
<A HREF="FollowerRequestProcessor.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">FollowerRequestProcessor</A>
<BR>
<A HREF="FollowerZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">FollowerZooKeeperServer</A>
<BR>
<A HREF="Leader.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">Leader</A>
<BR>
<A HREF="Leader.Proposal.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">Leader.Proposal</A>
<BR>
<A HREF="LeaderBean.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">LeaderBean</A>
<BR>
<A HREF="LeaderElection.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">LeaderElection</A>
<BR>
<A HREF="LeaderElection.ElectionResult.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">LeaderElection.ElectionResult</A>
<BR>
<A HREF="LeaderElectionBean.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">LeaderElectionBean</A>
<BR>
<A HREF="LeaderZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">LeaderZooKeeperServer</A>
<BR>
<A HREF="Learner.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">Learner</A>
<BR>
<A HREF="LearnerHandler.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">LearnerHandler</A>
<BR>
<A HREF="LearnerSessionTracker.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">LearnerSessionTracker</A>
<BR>
<A HREF="LearnerSyncRequest.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">LearnerSyncRequest</A>
<BR>
<A HREF="LearnerZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">LearnerZooKeeperServer</A>
<BR>
<A HREF="LocalPeerBean.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">LocalPeerBean</A>
<BR>
<A HREF="Observer.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">Observer</A>
<BR>
<A HREF="ObserverRequestProcessor.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">ObserverRequestProcessor</A>
<BR>
<A HREF="ObserverZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">ObserverZooKeeperServer</A>
<BR>
<A HREF="ProposalRequestProcessor.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">ProposalRequestProcessor</A>
<BR>
<A HREF="QuorumBean.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">QuorumBean</A>
<BR>
<A HREF="QuorumCnxManager.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">QuorumCnxManager</A>
<BR>
<A HREF="QuorumCnxManager.Message.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">QuorumCnxManager.Message</A>
<BR>
<A HREF="QuorumPeer.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">QuorumPeer</A>
<BR>
<A HREF="QuorumPeer.QuorumServer.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">QuorumPeer.QuorumServer</A>
<BR>
<A HREF="QuorumPeerConfig.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">QuorumPeerConfig</A>
<BR>
<A HREF="QuorumPeerMain.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">QuorumPeerMain</A>
<BR>
<A HREF="QuorumStats.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">QuorumStats</A>
<BR>
<A HREF="QuorumZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">QuorumZooKeeperServer</A>
<BR>
<A HREF="ReadOnlyBean.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">ReadOnlyBean</A>
<BR>
<A HREF="ReadOnlyRequestProcessor.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">ReadOnlyRequestProcessor</A>
<BR>
<A HREF="ReadOnlyZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">ReadOnlyZooKeeperServer</A>
<BR>
<A HREF="RemotePeerBean.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">RemotePeerBean</A>
<BR>
<A HREF="SendAckRequestProcessor.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">SendAckRequestProcessor</A>
<BR>
<A HREF="ServerBean.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">ServerBean</A>
<BR>
<A HREF="StateSummary.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">StateSummary</A>
<BR>
<A HREF="Vote.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">Vote</A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Enums</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="QuorumPeer.LearnerType.html" title="enum in org.apache.zookeeper.server.quorum" target="classFrame">QuorumPeer.LearnerType</A>
<BR>
<A HREF="QuorumPeer.ServerState.html" title="enum in org.apache.zookeeper.server.quorum" target="classFrame">QuorumPeer.ServerState</A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Exceptions</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="Leader.XidRolloverException.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">Leader.XidRolloverException</A>
<BR>
<A HREF="QuorumPeerConfig.ConfigException.html" title="class in org.apache.zookeeper.server.quorum" target="classFrame">QuorumPeerConfig.ConfigException</A></FONT></TD>
</TR>
</TABLE>


</BODY>
</HTML>
